Package org.springframework.context.i18n

# Interface TimeZoneAwareLocaleContext

All Superinterfaces:
  `LocaleContext`

All Known Implementing Classes:
  `SimpleTimeZoneAwareLocaleContext`

public interface TimeZoneAwareLocaleContext extends LocaleContext
Extension of `LocaleContext`, adding awareness of the current time zone.

Having this variant of LocaleContext set to `LocaleContextHolder` means that some TimeZone-aware infrastructure has been configured, even if it may not be able to produce a non-null TimeZone at the moment.

Since:
  4.0
Author:
  Juergen Hoeller, Nicholas Williams
See Also:
  - `LocaleContextHolder.getTimeZone()`

## Method Summary

Modifier and Type
Method
Description
`TimeZone`
`getTimeZone()`
Return the current TimeZone, which can be fixed or determined dynamically, depending on the implementation strategy.

### Methods inherited from interface org.springframework.context.i18n.LocaleContext

`getLocale`

## Method Details

### getTimeZone

@Nullable TimeZone getTimeZone()
Return the current TimeZone, which can be fixed or determined dynamically, depending on the implementation strategy.

Returns:
  the current TimeZone, or `null` if no specific TimeZone associated